/**
 * DevExtreme (esm/renovation/ui/scroll_view/common/native_strategy_props.js)
 * Version: 21.2.0 (build 21243-0310)
 * Build date: Tue Aug 31 2021
 *
 * Copyright (c) 2012 - 2021 Developer Express Inc. ALL RIGHTS RESERVED
 * Read about DevExtreme licensing here: https://js.devexpress.com/Licensing/
 */
import _extends from "@babel/runtime/helpers/esm/extends";
import {
    getDefaultUseSimulatedScrollbar
} from "../utils/get_default_option_value";
import {
    BaseScrollableProps
} from "./base_scrollable_props";
export var ScrollableNativeProps = Object.create(Object.prototype, _extends(Object.getOwnPropertyDescriptors(BaseScrollableProps), Object.getOwnPropertyDescriptors({
    get useSimulatedScrollbar() {
        return getDefaultUseSimulatedScrollbar()
    },
    showScrollbar: "onScroll"
})));
