/**
 * DevExtreme (esm/renovation/ui/scroll_view/common/scrollbar_props.js)
 * Version: 21.2.0 (build 21243-0310)
 * Build date: Tue Aug 31 2021
 *
 * Copyright (c) 2012 - 2021 Developer Express Inc. ALL RIGHTS RESERVED
 * Read about DevExtreme licensing here: https://js.devexpress.com/Licensing/
 */
import {
    TopPocketState
} from "./consts";
export var ScrollbarProps = {
    activeStateEnabled: false,
    containerSize: 0,
    containerHasSizes: false,
    contentSize: 0,
    topPocketSize: 0,
    bottomPocketSize: 0,
    contentPaddingBottom: 0,
    scrollableOffset: 0,
    isScrollableHovered: false,
    forceVisibility: false,
    scrollLocation: 0,
    get pocketState() {
        return TopPocketState.STATE_RELEASED
    }
};
